title   Program to demonstrate use of time delay
.model  small
.stack  100

.code
main:   mov     ax,@data
        mov     ds,ax           ; set data segment

        mov     ah,9h
        mov     dx,offset msg1
        int     21h             ; print first message

        mov     ah,2ch
        int     21h             ; get current time

        add     dh,5            ; add 5 to current seconds
        mov     endtime,dh      ; store as end time

mwait:  mov     ah,2ch
        int     21h             ; get current time
        cmp     endtime,dh      ; compare current second with target
        jne     mwait           ; wait until target second

        mov     ah,9h
        mov     dx,offset msg2
        int     21h             ; print second message

        mov     ax,4c00h
        int     21h             ; exit to OS

.data
msg1    db      "Start",0dh,0ah,'$'
msg2    db      "Stop",0dh,0ah,'$'
endtime db      ?



end





        
